// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "EntityInteractable.hpp"

namespace Dawn {
  class EntityInteractor : public SceneItemComponent {
    private:
      std::function<void()> evtTriggerEnter;

    public:
      // @optional
      StateProperty<TriggerController2D*> trigger;

      EntityInteractor(SceneItem* item);
      void onStart() override;
  };
}