// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "util/DawnTool.hpp"
#include "VNSceneParser.hpp"
#include "VNSceneGen.hpp"
#include "util/File.hpp"

namespace Dawn {
  class VNSceneTool : public DawnTool {
    protected:
      std::vector<std::string> getRequiredFlags() override;
      std::map<std::string, std::string> getOptionalFlags() override;

    public:
      int32_t start();
  };
}